Retrieves the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7d6abaf4-69b5-4ca7-9105-8a947bc8c031",
"db_report_type_id": "a3586b90-e57b-4019-86f9-637c8722011f",
"user_id": "11951d34-9c7f-449c-8626-cf15c496ee41",
"company_id": "6a42b356-b2e6-4164-885b-5ade25bea932",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "6064bbea-e4ee-4ce3-a90f-446b50110d6f",
"id_in_table": "1694cc94-6fca-4322-995e-9d4c43cee050",
"date_last_update": "2026-10-26T14:20:03.8241914+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-26T14:20:03.8241914+00:00"
}